import 'dotenv/config';
import { createLog } from './log';
import type { Logger } from 'winston';
import { Shell } from './shell';
import { Database } from 'sqlite3';

class Generate {
	private log : Logger;
	private files : string[];
	constructor () {
		this.log = createLog('generate');
		this.log.info(`Generating site: ${new Date()}`);
	}

	private async checkInbox () {
		
	}

	private async img (file : string)  {
		const cmd : string[] = ['bash', 'scripts/img.sh', file];
		const shell : Shell = new Shell(cmd);
		try {
			await shell.execute();
		} catch (err) {
			this.log.error(err);
			return;
		}
		this.log.info(`Processed image file for ${file}`);
	}
}

new Generate();